#!/bin/bash

# reference: http://www.usadellab.org/cms/?page=trimmomatic


module load Trimmomatic


# (Example) Paired end
java -jar $EBROOTTRIMMOMATIC/trimmomatic.jar PE \
  -phred33 \
  input_forward.fq.gz \
  input_reverse.fq.gz \
  output_forward_paired.fq.gz \
  output_forward_unpaired.fq.gz \
  output_reverse_paired.fq.gz \
  output_reverse_unpaired.fq.gz \
  ILLUMINACLIP: TruSeq3-PE.fa:2:30:10 \
  LEADING:3 \
  TRAILING:3 \
  SLIDINGWINDOW:4:25 \
  HEADCROP:8 \
  MINLEN:50


# (Example) Single end
java -jar $EBROOTTRIMMOMATIC/trimmomatic.jar SE \
  -phred33 \
  input.fq.gz \
  output.fq.gz \
  ILLUMINACLIP:TruSeq3-SE:2:30:10 \
  LEADING:3 \
  TRAILING:3 \
  SLIDINGWINDOW:4:15 \
  HEADCROP:8 \
  MINLEN:50
